=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway.v2 (2.11.3-2) experimental; urgency=medium

  * Team upload.
  * build against golang-github-golang-protobuf-1-5-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 02 Jun 2024 08:29:41 -0400

golang-github-grpc-ecosystem-grpc-gateway.v2 (2.11.3-1) experimental; urgency=medium

  * Initial packaging based on golang-github-grpc-ecosystem-grpc-gateway. Note
    that something like etcd 3.5.5 needs both the normal and the v2, so both
    must unfortunately live in Debian for the moment (as a transition?).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 12:12:41 +0200

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Set debian-branch to debian/sid in gbp.conf
  * Bump golang-google-genproto-dev to 0.0~git20190111~ (Closes: #919500)
  * Bump golang-goprotobuf-dev to 1.2.0

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 17 Jan 2019 12:03:44 +0700

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * debian/control: Add missing dependency on genproto.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dr. Tobias Quathamer ]
  * New upstream release 1.6.4 (Closes: #918618).
    - Add new dependency golang-github-ghodss-yaml-dev
  * Update d/watch
  * Use debhelper v11
  * Update team name
  * Update to Standards-Version 4.3.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 15 Jan 2019 21:13:00 +0100

golang-github-grpc-ecosystem-grpc-gateway (1.3.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * New upstream release.
  * Remove now unneeded patches.
  * Add myself to Uploaders.
  * Automated cme updates.
  * Stop using pristine-tar.
  * Rearrange the git layout to match team's policy.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 20:45:54 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * New upstream release.
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + Use https in copyright format url
  * d/control:
    + Bump golang-google-grpc-dev to 1.6.0
    + Add Testsuite
  * exclude examples dir when building
  * Add upstream patch to fix failed test

  [ Martín Ferrari ]
  * Differentiate package descriptions.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 03:50:30 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.1.0+git20170127.54.6863684-1) unstable; urgency=medium

  * Initial release (Closes: #854642)

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Feb 2017 21:15:45 +1100
