=== debian/control ===
Source: golang-github-grpc-ecosystem-grpc-gateway.v2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-github-dghubble-sling-dev,
 golang-github-ghodss-yaml-dev,
 golang-github-rogpeppe-fastuuid-dev,
 golang-glog-dev,
 golang-golang-x-net-dev,
 golang-github-golang-protobuf-1-5-dev,
 golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
 golang-google-grpc-dev (>= 1.6.0),
 golang-google-protobuf-dev,
 golang-gopkg-yaml.v3-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.v2.git
Homepage: https://github.com/grpc-ecosystem/grpc-gateway
XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway/v2

Package: golang-github-grpc-ecosystem-grpc-gateway.v2-dev
Architecture: all
Depends:
 golang-github-dghubble-sling-dev,
 golang-github-ghodss-yaml-dev,
 golang-github-rogpeppe-fastuuid-dev,
 golang-glog-dev,
 golang-golang-x-net-dev,
 golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
 golang-google-grpc-dev (>= 1.6.0),
 golang-github-golang-protobuf-1-5-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: gRPC to JSON proxy generator for Golang v2 -- sources
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the development files for the v2 version.
