=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples runtime/internal/examplepb

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	dh_auto_test || true
